> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# private/get_access_log

> Retrieves a log of API access attempts and authentication events for the authenticated account. The log includes information such as IP addresses, timestamps, API methods called, and authentication status.

Use this method to monitor account security, review API usage patterns, and identify unauthorized access attempts. Results can be paginated using the `offset` and `count` parameters.

**Scope:** `rat#view` or `wallet:user:read`

[Try in API console](https://test.deribit.com/api_console?method=%2Fprivate%2Fget_access_log)





## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /private/get_access_log
openapi: 3.0.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
paths:
  /private/get_access_log:
    get:
      tags:
        - Account Management
        - Private
      description: >+
        Retrieves a log of API access attempts and authentication events for the
        authenticated account. The log includes information such as IP
        addresses, timestamps, API methods called, and authentication status.


        Use this method to monitor account security, review API usage patterns,
        and identify unauthorized access attempts. Results can be paginated
        using the `offset` and `count` parameters.


        **Scope:** `rat#view` or `wallet:user:read`


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fprivate%2Fget_access_log)

      parameters:
        - description: The offset for pagination, default - `0`
          in: query
          name: offset
          required: false
          schema:
            example: 10
            type: integer
        - description: Number of requested items, default - `10`, maximum - `1000`
          in: query
          name: count
          required: false
          schema:
            maximum: 1000
            minimum: 1
            type: integer
      requestBody:
        content:
          application/json:
            examples:
              request:
                description: JSON-RPC Request Example
                value:
                  id: 1
                  jsonrpc: '2.0'
                  method: private/get_access_log
                  params:
                    count: 3
                    offset: 0
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PrivateGetAccessLogResponse'
components:
  responses:
    PrivateGetAccessLogResponse:
      content:
        application/json:
          examples:
            response:
              description: Response example
              value:
                id: 1
                jsonrpc: '2.0'
                result:
                  data:
                    - city: Local Town
                      country: Local Country
                      id: 45
                      ip: 127.0.0.1
                      result: success
                      timestamp: 1575876682576
                    - city: Local Town
                      country: Local Country
                      id: 44
                      ip: 127.0.0.1
                      result: success
                      timestamp: 1575876459309
                    - city: Local Town
                      country: Local Country
                      id: 43
                      ip: 127.0.0.1
                      result: disabled_tfa
                      timestamp: 1575546252774
                  records_total: 34
                testnet: false
                usDiff: 1417
                usIn: 1575903572350348
                usOut: 1575903572351765
          schema:
            $ref: '#/components/schemas/PrivateGetAccessLogResponse'
      description: Success response
  schemas:
    PrivateGetAccessLogResponse:
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          enum:
            - '2.0'
          type: string
        result:
          items:
            $ref: '#/components/schemas/access_log'
          type: array
      required:
        - jsonrpc
        - result
      type: object
    access_log:
      properties:
        city:
          description: City where the IP address is registered (estimated)
          type: string
        country:
          description: Country where the IP address is registered (estimated)
          type: string
        data:
          description: >-
            Optional, additional information about action, type depends on `log`
            value
          oneOf:
            - type: object
            - type: string
        id:
          $ref: '#/components/schemas/id'
        ip:
          description: IP address of source that generated action
          type: string
        log:
          description: >
            Action description. Possible values:


            - ``changed_email`` - email was changed

            - ``changed_password`` - password was changed

            - ``disabled_tfa`` - TFA was disabled

            - ``enabled_tfa`` - TFA was enabled

            - ``success`` - successful login

            - ``failure`` - login failure

            - ``enabled_subaccount_login`` - login was enabled for subaccount
            (in `data` - subaccount uid)

            - ``disabled_subaccount_login`` - login was disabled for subaccount
            (in `data` - subaccount uid)

            - ``new_api_key`` - API key was created (in `data` key client id)

            - ``removed_api_key`` - API key was removed (in `data` key client
            id)

            - ``changed_scope`` - scope of API key was changed (in `data` key
            client id)

            - ``changed_whitelist`` - whitelist of API key was edited (in `data`
            key client id)

            - ``disabled_api_key`` - API key was disabled (in `data` key client
            id)

            - ``enabled_api_key`` - API key was enabled (in `data` key client
            id)

            - ``reset_api_key`` - API key was reset (in `data` key client id)
          type: string
        timestamp:
          $ref: '#/components/schemas/timestamp'
      required:
        - id
        - ip
        - timestamp
        - country
        - city
        - log
      type: object
    id:
      description: Unique identifier
      example: 5967413
      type: integer
    timestamp:
      description: The timestamp (milliseconds since the Unix epoch)
      example: 1536569522277
      type: integer

````